import request from '@/utils/request'

// 查询关于我们、隐私列表
export function listMallAboutPrivacy(query) {
  return request({
    url: '/mall/mallAboutPrivacy/list',
    method: 'get',
    params: query
  })
}

// 查询关于我们、隐私详细
export function getMallAboutPrivacy(id) {
  return request({
    url: '/mall/mallAboutPrivacy/' + id,
    method: 'get'
  })
}

// 新增关于我们、隐私
export function addMallAboutPrivacy(data) {
  return request({
    url: '/mall/mallAboutPrivacy',
    method: 'post',
    data: data
  })
}

// 修改关于我们、隐私
export function updateMallAboutPrivacy(data) {
  return request({
    url: '/mall/mallAboutPrivacy',
    method: 'put',
    data: data
  })
}

// 删除关于我们、隐私
export function delMallAboutPrivacy(id) {
  return request({
    url: '/mall/mallAboutPrivacy/' + id,
    method: 'delete'
  })
}
